Name:           perl-Crypt-RandPasswd
Version:        0.07
Release:    1%{?dist}
Summary:        Random password generator based on FIPS-181
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/Crypt-RandPasswd
Source0:        https://cpan.metacpan.org/authors/id/J/JA/JANITOR/Crypt-RandPasswd-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(constant)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)

%{?perl_default_filter}

%description
Crypt::RandPasswd provides three functions that can be used to generate
random passwords, constructed from words, letters, or characters.

This code is a Perl implementation of the Automated Password Generator
standard, like the program described in "A Random Word Generator For
Pronounceable Passwords" (not available on-line). This code is a
re-engineering of the program contained in Appendix A of
FIPS Publication 181, "Standard for Automated Password Generator".
In accordance with the standard, the results obtained from this
program are logically equivalent to those produced by the standard.

%prep
%setup -q -n Crypt-RandPasswd-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
%{make_build} test

%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/Crypt*
%{_mandir}/man3/Crypt*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.07-1
- initial build
